require_relative "request_parser"

module Devops
  module API3
    module Parser
      class ImageParser < RequestParser

        def images
          provider = @params["provider"]
          check_provider(provider) if provider
          provider
        end

        def image
          image = create_object_from_json_body
          Devops::Model::Image.new(image)
        end

      end
    end
  end
end

